<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zsc.edu.gateway.modules.system.repo.DeptRepository">
    <select id="selectAllWithMembers" resultType="com.zsc.edu.gateway.modules.system.entity.Dept">
        SELECT d.*, u.*
        FROM sys_dept d
                 LEFT JOIN sys_user u ON d.id = u.dept_id
    </select>
</mapper>
